This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 162984 - Wrong default date format
Wrong default date format
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
http://www.openoffice.org/issues/show...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-11 19:48 EDT by John Summerfield
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.9.117-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-14 03:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Summerfield 2005-07-11 19:48:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-1.3.1

Description of problem:
I create a letter using Aautopilot, and it displayed the date in the result as 7/12/05 which in Australia, as in South Africa, Britain and most other English-speaking countries means December 

Clearly, this is not acceptable,

While there is an option to select the date format, it's default is _not_ based on my installed options, and the format commonly used here (dd/mm/yy) is not offered.

On a closely-related matter, the usual paper size outside the US, including British Commonwealth countries, is A4, not US Letter. The fact I chose Australia/Perth for my time zone and Australian English as my default language should be enough for everything, OpenOffice.Org included, to choose correctly my preferences without my having to specify them yet again.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.3-11.5.0.fc3

How reproducible:
Always

Steps to Reproduce:
1.Install FC for Australia (or South Africa or Egland or ...)
2.Create a document using Autopilot's defaults
3.
  

Actual Results:  Date formatted to US conventions

Expected Results:  Date formatted to Australian conventions.

Additional info:
Comment 1 Caolan McNamara 2005-07-13 07:37:13 EDT
lang "en_AU" I guess. Needs to be pointed to en_GB for wizards resources. Will
be in next rawhide version.
Comment 2 Caolan McNamara 2005-07-14 03:36:44 EDT
wizard for letters under en_AU produces stuff from en_GB factory now

Note You need to log in before you can comment on or make changes to this bug.